package dev.inmo.postssystem.features.roles.client

import dev.inmo.postssystem.features.auth.client.AuthorizedModuleLoader
import dev.inmo.postssystem.features.auth.client.AuthorizedQualifiers
import dev.inmo.postssystem.features.roles.common.Role
import dev.inmo.postssystem.features.roles.common.RolesStorage

val loader = AuthorizedModuleLoader {
    single<RolesSettings> { DefaultRolesSettings(getKoin(), get(), get()) }
    single<RolesStorage<Role>> { ClientRolesStorage(get(AuthorizedQualifiers.ServerUrlQualifier), get(), Role.serializer()) }
}
