package dev.inmo.postssystem.features.users.common

import dev.inmo.micro_utils.repos.*

interface ReadUsersStorage : ReadCRUDRepo<User, UserId>
interface WriteUsersStorage : WriteCRUDRepo<User, UserId, NewUser>
interface UsersStorage : ReadUsersStorage, WriteUsersStorage, CRUDRepo<User, UserId, NewUser>
