package dev.inmo.postssystem.publicators.simple.server

import dev.inmo.micro_utils.ktor.server.configurators.ApplicationRoutingConfigurator
import dev.inmo.postssystem.features.common.common.singleWithRandomQualifier
import dev.inmo.postssystem.features.common.server.ServerModuleLoader
import kotlinx.serialization.json.JsonObject
import org.koin.core.module.Module

class SimplePublicationTriggerLoaderServer : ServerModuleLoader {
    override fun Module.load(config: JsonObject) {
        singleWithRandomQualifier<ApplicationRoutingConfigurator.Element> {
            SimplePublicatorRoutingConfigurator(
                get()
            )
        }
    }
}
