package dev.inmo.postssystem.server

import dev.inmo.micro_utils.ktor.server.configurators.ApplicationRoutingConfigurator
import io.ktor.server.http.content.defaultResource
import io.ktor.server.http.content.resources
import io.ktor.server.routing.Route
import java.io.File

class ClientStaticRoutingConfiguration(
    private val clientStatic: String?
) : ApplicationRoutingConfigurator.Element {
    override fun Route.invoke() {
        resources(clientStatic)
        defaultResource("${clientStatic ?.let { "/$it" } ?: ""}/index.html")
    }
}
